[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomHeaderControl.SectionClick

Performs actions needed when the mouse is clicked on the specified header section.

## Declaration

Source position: comctrls.pp line 4067

`protected procedure TCustomHeaderControl.SectionClick(`
`Section: THeaderSection`
`); virtual;`

## Arguments

`Section` |  | Header section for the mouse event.

## Description

Signals the OnSectionClick event handler (when assigned). Called from the Click method when the mouse event occurred on the header section in the Section argument.

## See also

TCustomHeaderControl.OnSectionClick |  | Event handler signalled when a mouse click event occurs in a section header on the control.
TCustomHeaderControl.Click |  | Signals OnClick and/or executes the ActionLink when the control has been clicked.
TCustomHeaderControl.Sections |  | Sections - the short segments of the header separated by vertical bars that function as the elementary selection units of the header.